Bug 370981 - doesn't accept previously working 1400x1050 mode
doesn't accept previously working 1400x1050 mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 04:41 EST by Nils Philippsen
Modified: 2009-03-18 03:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.9.0-54.fc10.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.58 KB, text/plain)
2007-11-08 04:41 EST, Nils Philippsen
no flags Details
Xorg.0.log (56.21 KB, text/plain)
2007-11-08 04:41 EST, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2007-11-08 04:41:02 EST
Description of problem:

After I upgraded from F7, X doesn't accept my default configured mode of
1400x1050 anymore but reverts back to 1280x1024. In the logs it complains that
using 1400x1050 either HSync or VRefresh would be out of range (which is bogus).
Ironically I can choose 1600x1220 with xrandr, but that resolution is much too
mushy on my CRT (19" Iiyama Vision Master Pro 450).

Version-Release number of selected component (if applicable):
xorg-x11-drivers-7.2-9.fc8
xorg-x11-drv-ati-6.7.195-3.fc8
xorg-x11-server-Xorg-1.3.0.0-33.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start X
2. run xdpyinfo or check the monitor settings for used video mode
  
Actual results:
Uses 1280x1024, offers up to 1600x1200 with xrandr.

nils@wombat:~> grep 1400x1050 /var/log/Xorg.0.log
(II) RADEON(0): Not using default mode "1400x1050" (hsync out of range)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) RADEON(0): Not using default mode "1400x1050" (vrefresh out of range)

Expected results:
Uses 1400x1050 mode.
`grep 'Modeline "1400x1050"' /var/log/Xorg.0.log` not coming back empty

Additional info:
I guess it probes the available modes from the monitor which doesn't report a
1400x1050 mode. Still, the error message about the mode is bogus because the
standard modelines should be well in the range of what the monitor accepts
(HSync 27-115, VRefresh 50-160) and in fact accepted in F7. I'll attach my used
xorg.conf but found the same to be true with a missing xorg.conf, with various
(now reverted) attempted workarounds like adding manual modelines to xorg.conf,
optionally trying to force it to use a particular one with "PreferredMode".
Comment 1 Nils Philippsen 2007-11-08 04:41:02 EST
Created attachment 251331 [details]
xorg.conf
Comment 2 Nils Philippsen 2007-11-08 04:41:50 EST
Created attachment 251341 [details]
Xorg.0.log
Comment 3 Nils Philippsen 2007-11-08 04:47:37 EST
NB, I'm currently blocking the radeon kernel module to be loaded due to problems
with DRI, bug #228414. But I really don't think that this has any relevance to
this problem.
Comment 4 Nils Philippsen 2007-11-08 05:26:34 EST
(In reply to comment #3)

I've tried kernel-2.6.23.1-45.fc8 now with DRI enabled, but no changes to this
issue.
Comment 5 Nils Philippsen 2007-11-28 04:16:26 EST
Ping... Is there anything else I need to test or check?
Comment 6 Nils Philippsen 2007-12-13 04:50:26 EST
No changes with xorg-x11-drv-ati-6.7.196-4.fc8. Is there anything I can do?
1280x1024 is really annoying not only because it's lower than what should go but
also because of its non-square pixels on this monitor (I manipulate images on
this machine, I'd really like it if shapes weren't distorted). The next lower
square-pixel resolution (4:3) would be 1152x864 but that's really too low.
Comment 7 Nils Philippsen 2008-01-02 04:55:47 EST
I've got it working with some not so obvious changes to xorg.conf:

[...]
Section "Monitor"
    Identifier   "Monitor0"
    HorizSync    27.5 - 114.5
    VertRefresh  50.5 - 159.5
    Option       "dpms"
EndSection

Section "Device"
    Identifier  "Videocard0"
    Driver      "radeon"
    Option      "Monitor-DVI-0" "Monitor0"
EndSection
[...]

I had the monitor section previously, but adding 'Option "Monitor-DVI-0"' did
the trick. My setup is an analog monitor (CRT) connected to the DVI-I output of
my card via a suitable adapter cable. I suspect that 1) instead of probing the
HorizSync and VertRefresh values, it just relies on the VESA modes DDC offers
and 2) it couples a monitor section in xorg.conf with the first available
instead of used output.

My take on 1) is that it should probe the monitor for horizontal and vertical
limits and if that isn't possible, lookup the values for the model in
hwdata/MonitorsDB.
Comment 8 Bug Zapper 2008-11-26 03:14:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nils Philippsen 2008-11-26 06:29:07 EST
This seems fixed in F10 with xorg-x11-drv-ati-6.9.0-54.fc10.x86_64, without an xorg.conf it starts up with the maximum resolution of 2048*1536px.
Comment 10 Joachim Frieben 2009-03-18 03:58:41 EDT
I am using an HP A4576A 21" CRT attached to the VGA input of an ATI X800 card. I had overcome the issue by adding:

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Hewlett-Packard"
	ModelName    "A4576A"
	HorizSync    30.0 - 107.0
	VertRefresh  50.0 - 160.0
	ModeLine     "1400x1050@75" 155.8 1400 1496 1648 1896 1050 1051 1054 109
6 +hsync +vsync
	Option	    "PreferredMode" "1400x1050"
EndSection

This was not necessary anymore for F9. However, the last time I tried (a few weeks ago) for "rawhide", X would start up at 1280x1024 when no xorg.conf was present. Moreover, mode 1400x1050 was missing from the available modes suggested in "System > Preferences > Hardware > Screen Resolution" (1600x1200 was present though). I needed an xorg.conf with an entry like the above one in order to make it available again. Bug 465239 in which I had reported an excessive resolution of 2048x1536 is definitely resolved though.

Note You need to log in before you can comment on or make changes to this bug.